import consola from "consola";
import fs from "fs";
import nodemailer from "nodemailer";


nodemailer.createTestAccount((err, account) => {
    if (err) {
        console.error('Failed to create a testing account. ' + err.message);
        return process.exit(1);
    }

    const env = `
APP_PORT=4010
DB_TYPE=sqlite
DB_HOST=bla
DB_PORT=bla
DB_USER=bla
DB_PASSWORD=bla
DB_NAME=./test.sqlite
NODE_ENV=dev
POSTALCODE_COUNTRYCODE=DE
SEED_TEST_DATA=true
MAIL_SERVER=${account.smtp.host}
MAIL_PORT=${account.smtp.port}
MAIL_USER=${account.user}
MAIL_PASSWORD=${account.pass}
MAIL_FROM=${account.user}`

    try {
        fs.writeFileSync("./.env", env, { encoding: "utf-8" });
        consola.success("Exported ci env to .env");
    } catch (error) {
        consola.error("Couldn't export the ci env");
    }

});

